<mat-toolbar>
  <span *ngIf="layout.expand">Menu</span>
  <span class="example-fill-remaining-space"></span>
  <button mat-mini-fab (click)="expandSidebar()" color="white">
      <mat-icon *ngIf="!layout.expand">chevron_right</mat-icon>
      <mat-icon *ngIf="layout.expand">chevron_left</mat-icon>
  </button>
</mat-toolbar>
<mat-nav-list role="list">
  <mat-list-item role="listitem" (click)="navigateTo(link.text)" routerLinkActive="active"*ngFor="let link of links" [routerLink]="link.path">
      <mat-icon *ngIf="layout.expand" matListIcon>{{link.icon}}</mat-icon>
      <h3 *ngIf="layout.expand" matLine style="min-width: 180px;"> {{link.text}} </h3>
      <button mat-mini-fab color="white" *ngIf="!layout.expand">
          <mat-icon>{{ link.icon }}</mat-icon>
      </button>
  </mat-list-item>
</mat-nav-list>